Bug 376481 - Pulseaudio crashes when you go to this www.slingmedia.com
Pulseaudio crashes when you go to this www.slingmedia.com
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 15:19 EST by Daniel Walsh
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 09:12:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2007-11-11 15:19:03 EST
Description of problem:
Login and play a sound with play command
Sound works fine.

Use firefox to go to www.slingmedia.com
No sound

Execute play command in a window no sound.


pulseaudio-0.9.7-0.17.svn20071017.fc8
kernel-2.6.23.1-42.fc8
alsa-utils-1.0.15-1.fc8
firefox-2.0.0.8-2.fc8
Comment 1 Lennart Poettering 2007-11-12 09:12:59 EST
This is most likely a problem with Flash -- which happens to be horrendously
broken (surprise, surprise!), and opens as many PCM devices as it can until it
gets EBUSY, which are quite a bit on PA. After having opened them it is itself
overloaded and PA doesn't accept any further connections, until you terminate
Firefox/Flash and it gives up all those streams again.

Please install "libflashsupport" which adds native PA support to Flash.

Closing this bug now as NOTABUG. If the problem shouldn't be fixed by doing
this, feel free to reopen.
Comment 2 Daniel Walsh 2007-11-12 16:30:29 EST
Thanks that fixed it.   I wish we had caught this before Fedora 8 shipped.
Comment 3 Lennart Poettering 2007-11-13 21:38:20 EST
Uh?

Actually we *did* know about this issue before F8. 

Don't forget: the bug is in Flash, not in PA.

libflashsupport is included in F8, originally I even had it as a part of
pulseaudio-libs to make things "just work". However, some multilib guys didn't
like that, so I had to split it off.

Note You need to log in before you can comment on or make changes to this bug.